6.0.0-git
2021-01-19

[#4324] Change _group_hook_groupName() to _group_hook($groupName)
Summary Change _group_hook_groupName() to _group_hook($groupName)
Queue Horde Framework Packages
Queue Version HEAD
Type Enhancement
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester dorm (at) dorm (dot) org
Created 2006-08-23 (5263 days ago)
Due
Updated 2006-12-20 (5144 days ago)
Assigned 2006-08-29 (5257 days ago)
Resolved 2006-11-22 (5172 days ago)
Milestone
Patch Yes

History
2006-12-20 23:42:59 dorm (at) dorm (dot) org Comment #11 Reply to this comment
I don't regularly run a HEAD installation, so I haven't actually 
tested it.  But I spent some time looking over the code, and it looks 
good.



Thanks.
2006-11-22 04:29:28 Chuck Hagenbuch Comment #10
State ⇒ Resolved
Reply to this comment
This is committed now - thanks! However the patch to Group/hooks.php 
didn't apply cleanly so I did some merging - please do test it and 
make sure that everything is working as expected.
2006-09-22 21:11:22 dorm (at) dorm (dot) org Comment #9
New Attachment: UPGRADING.1.17.patch Download
Reply to this comment
Attaching patch to docs/UPGRADING with information about this change.



I added an "Upgrading Horde to 3.2" section at the top, since this 
change doesn't apply for v3.1.2.  This may need to be changed 
depending on when these patches are included in a release.
2006-08-29 09:57:39 Jan Schneider Priority ⇒ 2. Medium
 
2006-08-29 09:56:58 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2006-08-29 09:56:33 Jan Schneider Deleted Original Message
 
2006-08-29 09:56:21 Jan Schneider Deleted Original Message
 
2006-08-28 22:41:27   New Attachment: lib_Horde_Group_hooks.php.1.9.patch Download
 
2006-08-28 22:40:58 dorm (at) dorm (dot) org Comment #8
New Attachment: config_hooks.php.dist.1.99.patch Download
Reply to this comment
Ack, OK, sorry for the mix-up.  I didn't realize it sorted by date, 
not by revision number.



Anyway, patches for HEAD versions are attached.
2006-08-28 21:38:44 Chuck Hagenbuch Comment #7 Reply to this comment
No. That just means that FW_3 was changed more recently than HEAD, not 
that the branch is the most recent version. Revision 1.99 is the most 
up to date, HEAD version of the file.
2006-08-28 21:07:06 dorm (at) dorm (dot) org Comment #6 Reply to this comment
I mean that the latest version of hooks.php in CVS (1.7.2.10) is 
tagged with FRAMEWORK_3.    So version 1.7.2.10 is both the 
FRAMEWORK_3 version, as well as what you get by checking out CVS HEAD.


2006-08-27 16:33:51 Chuck Hagenbuch Comment #5 Reply to this comment
Yeah, they should work for HEAD.   I am never quite sure what to
select when the latest version in CVS is tagged with FRAMEWORK_3.
Eh? That doesn't make sense.
2006-08-25 16:28:20 dorm (at) dorm (dot) org Comment #4 Reply to this comment
Yeah, they should work for HEAD.   I am never quite sure what to 
select when the latest version in CVS is tagged with FRAMEWORK_3.


2006-08-24 07:32:24 Jan Schneider Comment #3
State ⇒ Feedback
Version ⇒ HEAD
Reply to this comment
This change will go to CVS HEAD only, so please make sure that your 
patches apply there correctly too, or provide updated patches. Thanks.
2006-08-23 14:40:37 dorm (at) dorm (dot) org Comment #2
New Attachment: hooks.php.dist.1.73.6.14.diff
Reply to this comment
Patch for config/hooks.php.dist attached.
2006-08-23 14:16:18 dorm (at) dorm (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Change _group_hook_groupName() to _group_hook($groupName)
Queue ⇒ Horde Framework Packages
New Attachment: hooks.php.1.7.2.10.diff
Reply to this comment
Patch to lib/Horde/Group/hooks.php to use a _group_hook($groupName) 
hook function instead of _group_hook_groupName().



config/hooks.php will also need to be updated with an appropriate 
example group hook function.  And docs/UPGRADING.


Saved Queries